#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from zope.annotation import IAttributeAnnotatable
from zope.contentprovider.interfaces import IContentProvider

# import packages
from zope.interface import Interface, Attribute


class IRenderedContent(IAttributeAnnotatable):
    """Generic interface for any rendered content"""

    renderer = Attribute("Selected renderer name")

    def get_renderer(self, request=None):
        """Get selected renderer implementation"""


class IContentRenderer(IContentProvider):
    """Content renderer interface"""

    label = Attribute("Renderer label")
    weight = Attribute("Renderer weight")
    settings_interface = Attribute("Renderer target interface")


class IRendererSettings(Interface):
    """Base renderer settings interface"""
